Page MenuHomePhabricator

efl/gesture: unset timer pointers for tap recognizers
ClosedPublic

Authored by zmike on Jan 13 2020, 12:12 PM.

Details

Summary

avoid having stale timer pointers around once timers have triggered

Depends on D11055

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
zmike created this revision.Jan 13 2020, 12:12 PM

It seems that this patch has no reviewers specified. If you are unsure who can review your patch, please check this wiki page and see if anyone can be added: https://phab.enlightenment.org/w/maintainers_reviewers/

CHAN accepted this revision.Jan 16 2020, 9:12 PM
CHAN added a subscriber: CHAN.

Looks good to me. Thank you

This revision is now accepted and ready to land.Jan 16 2020, 9:12 PM
zmike updated this revision to Diff 28260.Jan 17 2020, 7:42 AM
zmike edited the summary of this revision. (Show Details)

update

zmike updated this revision to Diff 28337.Jan 21 2020, 11:56 AM
zmike added a reviewer: bu5hm4n.

rebase/update

zmike updated this revision to Diff 28382.Jan 22 2020, 6:36 AM

remove off-canvas blocking

zmike updated this revision to Diff 28433.Jan 23 2020, 12:24 PM

rework/rebase

zmike updated this revision to Diff 28654.Jan 29 2020, 11:19 AM

rebase/rework

Closed by commit rEFLeb0dd2262dd1: efl/gesture: unset timer pointers for tap recognizers (authored by zmike, committed by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyJan 30 2020, 8:12 AM
This revision was automatically updated to reflect the committed changes.